import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_add_staff_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_add_staff_entity.g.dart';

@JsonSerializable()
class JobListAddStaffEntity {
	@JSONField(name: "result_list")
	List<JobListAddStaffResultList>? resultList = [];

	JobListAddStaffEntity();

	factory JobListAddStaffEntity.fromJson(Map<String, dynamic> json) => $JobListAddStaffEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListAddStaffEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListAddStaffResultList {
	String? name = null;
	String? phone = null;
	bool? result = false;
	String? msg = null;

	JobListAddStaffResultList();

	factory JobListAddStaffResultList.fromJson(Map<String, dynamic> json) => $JobListAddStaffResultListFromJson(json);

	Map<String, dynamic> toJson() => $JobListAddStaffResultListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}